#59 unable to access files in mounted webdav drive

closed
nobody
None
5
2006-10-04
2006-08-13
No

I used davfs2-0.2.8, on SuSE 9.3,
Linux ops 2.6.16.20-smp #1 SMP PREEMPT Thu Jun 15
19:49:19 CEST 2006 i686 i686 i386 GNU/Linux

when I access the webdav drive in konqueror:
webdavs://webdavserver/zidestore/so/sebastia
and change into the Overview subfolder, then I have a
list of files. The filenames are 5-6digits followed
by a .ics, so containing lots of ical files.

mounted a drive like this:
mount -t davfs
https://webdavserver/zidestore/so/sebastia /home/sebastia/zidestore

then in ~/zidestore/Overview are the same number of
files, but they are "Lastname, Firstname" and have a
filesize of 0. when trying to access them, then i get
a file is empty error message.

Discussion

  • Werner Baumann

    Werner Baumann - 2006-08-13

    Logged In: YES
    user_id=1260327

    Hello Sebastian,

    to get debug messages in the log files with davfs2-0.2.8 you
    may configure it with option "--with-debug". But
    davfs2-0.2.8 will log username and passward in this case, so
    you should remove them from the debug messages.

    If you have access to the server log files this would be
    helpful too (for both version 0.2.8 and 1.0.2).

    Greetings
    Werner

     
  • Sebastian Reitenbach

    Logged In: YES
    user_id=59448

    Hi,

    thanks again for looking:
    Aug 13 12:01:27 ops mount.davfs: Setting euid=500
    Aug 13 12:01:27 ops mount.davfs: Parsing command line
    Aug 13 12:01:27 ops mount.davfs: /sbin/mount.davfs
    https://communicator.ds9:443/zidestore/so/sebastia /home/sebastia/zidestore -o
    rw,noexec,nosuid,nodev,user
    Aug 13 12:01:27 ops mount.davfs: Reading command line
    options
    Aug 13 12:01:27 ops mount.davfs: Parsing suboptions
    Aug 13 12:01:27 ops mount.davfs: Reading command line
    arguments
    Aug 13 12:01:27 ops mount.davfs: Arguments after parsing
    command line:
    Aug 13 12:01:27 ops mount.davfs: device = (null)
    Aug 13 12:01:27 ops mount.davfs: ro = 0
    Aug 13 12:01:27 ops mount.davfs: nodev = 4
    Aug 13 12:01:27 ops mount.davfs: noexec = 8
    Aug 13 12:01:27 ops mount.davfs: nosuid = 2
    Aug 13 12:01:27 ops mount.davfs: user = 1
    Aug 13 12:01:27 ops mount.davfs: p_host = (null)
    Aug 13 12:01:27 ops mount.davfs: p_port = 0
    Aug 13 12:01:27 ops mount.davfs: askauth = 1
    Aug 13 12:01:27 ops mount.davfs: useproxy = 1
    Aug 13 12:01:27 ops mount.davfs: locks = 1
    Aug 13 12:01:27 ops mount.davfs: mountanyway = 0
    Aug 13 12:01:27 ops mount.davfs: Variables after parsing
    command line:
    Aug 13 12:01:27 ops mount.davfs: mpoint
    = /home/sebastia/zidestore
    Aug 13 12:01:27 ops mount.davfs: url =
    https://communicator.ds9:443/zidestore/so/sebastia
    Aug 13 12:01:27 ops mount.davfs: username = (null)
    Aug 13 12:01:27 ops mount.davfs: passord = (null)
    Aug 13 12:01:27 ops mount.davfs: p_user = (null)
    Aug 13 12:01:27 ops mount.davfs: p_passord = (null)
    Aug 13 12:01:27 ops mount.davfs: locks = 0
    Aug 13 12:01:27 ops mount.davfs: pidfile = (null)
    Aug 13 12:01:27 ops mount.davfs: Checking permissions and
    configuration
    Aug 13 12:01:27 ops mount.davfs: Checking for setuid
    Aug 13 12:01:27 ops mount.davfs: Checking group
    membership
    Aug 13 12:01:27 ops mount.davfs: Checking fstab for user
    mount
    Aug 13 12:01:27 ops mount.davfs: Parsing suboptions
    Aug 13 12:01:27 ops mount.davfs: Checking
    for /proc/mounts
    Aug 13 12:01:27 ops mount.davfs: Checking for double
    mounts
    Aug 13 12:01:27 ops mount.davfs: Checking whether still
    mounted
    Aug 13 12:01:27 ops mount.davfs: Find a free
    davfs-device
    Aug 13 12:01:27 ops mount.davfs: Scanning /proc/mounts
    Aug 13 12:01:27 ops mount.davfs: Checking rootfs:
    Aug 13 12:01:27 ops mount.davfs: no device
    Aug 13 12:01:27 ops mount.davfs: Checking
    initramfsdevs:
    Aug 13 12:01:27 ops mount.davfs: no device
    Aug 13 12:01:27 ops mount.davfs: Checking /dev/sda6:
    Aug 13 12:01:27 ops mount.davfs: other device
    Aug 13 12:01:27 ops mount.davfs: Checking proc:
    Aug 13 12:01:27 ops mount.davfs: no device
    Aug 13 12:01:27 ops mount.davfs: Checking sysfs:
    Aug 13 12:01:27 ops mount.davfs: no device
    Aug 13 12:01:27 ops mount.davfs: Checking devpts:
    Aug 13 12:01:27 ops mount.davfs: no device
    Aug 13 12:01:27 ops mount.davfs: Checking tmpfs:
    Aug 13 12:01:27 ops mount.davfs: no device
    Aug 13 12:01:27 ops mount.davfs: Checking /dev/sda5:
    Aug 13 12:01:27 ops mount.davfs: other device
    Aug 13 12:01:27 ops mount.davfs: Checking /dev/sda7:
    Aug 13 12:01:27 ops mount.davfs: other device
    Aug 13 12:01:27 ops mount.davfs:
    Checking /dev/loop0:
    Aug 13 12:01:27 ops mount.davfs: other device
    Aug 13 12:01:27 ops mount.davfs:
    Checking /dev/loop1:
    Aug 13 12:01:27 ops mount.davfs: other device
    Aug 13 12:01:27 ops mount.davfs:
    Checking /dev/loop2:
    Aug 13 12:01:27 ops mount.davfs: other device
    Aug 13 12:01:27 ops mount.davfs:
    Checking /dev/loop3:
    Aug 13 12:01:27 ops mount.davfs: other device
    Aug 13 12:01:27 ops mount.davfs: Checking usbfs:
    Aug 13 12:01:27 ops mount.davfs: no device
    Aug 13 12:01:27 ops mount.davfs: Checking
    shuttleramp.ds9:/home:
    Aug 13 12:01:27 ops mount.davfs: no device
    Aug 13 12:01:27 ops mount.davfs: Checking
    shuttleramp:/usr/local/httpd/htdocs/songs:
    Aug 13 12:01:27 ops mount.davfs: no device
    Aug 13 12:01:27 ops mount.davfs: Checking
    shuttleramp:/usr/local/httpd/htdocs/songs/mucke/upload:
    Aug 13 12:01:27 ops mount.davfs: no device
    Aug 13 12:01:27 ops mount.davfs:
    Checking /dev/loop4:
    Aug 13 12:01:27 ops mount.davfs: other device
    Aug 13 12:01:27 ops mount.davfs: Scanning /etc/mtab
    Aug 13 12:01:27 ops mount.davfs: Checking /dev/sda6:
    Aug 13 12:01:27 ops mount.davfs: other device
    Aug 13 12:01:27 ops mount.davfs: Checking proc:
    Aug 13 12:01:27 ops mount.davfs: no device
    Aug 13 12:01:27 ops mount.davfs: Checking sysfs:
    Aug 13 12:01:27 ops mount.davfs: no device
    Aug 13 12:01:27 ops mount.davfs: Checking tmpfs:
    Aug 13 12:01:27 ops mount.davfs: no device
    Aug 13 12:01:27 ops mount.davfs: Checking devpts:
    Aug 13 12:01:27 ops mount.davfs: no device
    Aug 13 12:01:27 ops mount.davfs: Checking /dev/sda5:
    Aug 13 12:01:27 ops mount.davfs: other device
    Aug 13 12:01:27 ops mount.davfs: Checking /dev/sda7:
    Aug 13 12:01:27 ops mount.davfs: other device
    Aug 13 12:01:27 ops mount.davfs: Checking /dev/sda9:
    Aug 13 12:01:27 ops mount.davfs: other device
    Aug 13 12:01:27 ops mount.davfs:
    Checking /dev/sda11:
    Aug 13 12:01:27 ops mount.davfs: other device
    Aug 13 12:01:27 ops mount.davfs:
    Checking /dev/sda10:
    Aug 13 12:01:27 ops mount.davfs: other device
    Aug 13 12:01:27 ops mount.davfs: Checking /dev/sda8:
    Aug 13 12:01:27 ops mount.davfs: other device
    Aug 13 12:01:27 ops mount.davfs: Checking usbfs:
    Aug 13 12:01:27 ops mount.davfs: no device
    Aug 13 12:01:27 ops mount.davfs: Checking
    shuttleramp.ds9:/home:
    Aug 13 12:01:27 ops mount.davfs: no device
    Aug 13 12:01:27 ops mount.davfs: Checking
    shuttleramp:/usr/local/httpd/htdocs/songs:
    Aug 13 12:01:27 ops mount.davfs: no device
    Aug 13 12:01:27 ops mount.davfs: Checking
    shuttleramp:/usr/local/httpd/htdocs/songs/mucke/upload:
    Aug 13 12:01:27 ops mount.davfs: no device
    Aug 13 12:01:27 ops mount.davfs:
    Checking /dev/sda12:
    Aug 13 12:01:27 ops mount.davfs: other device
    Aug 13 12:01:27 ops mount.davfs: Looking up proxy
    Aug 13 12:01:27 ops mount.davfs: Reading config from
    Aug 13 12:01:27 ops
    mount.davfs: /home/sebastia/.davfs2/davfs2.conf
    Aug 13 12:01:27 ops mount.davfs: Reading config from
    Aug 13 12:01:27 ops
    mount.davfs: /usr/local/etc/davfs2/davfs2.conf
    Aug 13 12:01:27 ops mount.davfs: Looking up credentials
    Aug 13 12:01:27 ops mount.davfs: Reading secrets from
    Aug 13 12:01:27 ops
    mount.davfs: /home/sebastia/.davfs2/secrets.
    Aug 13 12:01:27 ops mount.davfs: Reading secrets from
    Aug 13 12:01:27 ops
    mount.davfs: /usr/local/etc/davfs2/secrets.
    Aug 13 12:01:33 ops mount.davfs: Setting default file
    mode
    Aug 13 12:01:33 ops mount.davfs: Arguments after parsing
    config files:
    Aug 13 12:01:33 ops mount.davfs: device = /dev/davfs0
    Aug 13 12:01:33 ops mount.davfs: ro = 0
    Aug 13 12:01:33 ops mount.davfs: nodev = 4
    Aug 13 12:01:33 ops mount.davfs: noexec = 8
    Aug 13 12:01:33 ops mount.davfs: nosuid = 2
    Aug 13 12:01:33 ops mount.davfs: user = 1
    Aug 13 12:01:33 ops mount.davfs: p_host = (null)
    Aug 13 12:01:33 ops mount.davfs: p_port = 0
    Aug 13 12:01:33 ops mount.davfs: askauth = 1
    Aug 13 12:01:33 ops mount.davfs: useproxy = 0
    Aug 13 12:01:33 ops mount.davfs: locks = 1
    Aug 13 12:01:33 ops mount.davfs: mountanyway = 0
    Aug 13 12:01:33 ops mount.davfs: Variables after parsing
    config files:
    Aug 13 12:01:33 ops mount.davfs: mpoint
    = /home/sebastia/zidestore
    Aug 13 12:01:33 ops mount.davfs: url =
    https://communicator.ds9:443/zidestore/so/sebastia
    Aug 13 12:01:33 ops mount.davfs: username = sebastia
    Aug 13 12:01:33 ops mount.davfs: passord = MYPASSWORD
    Aug 13 12:01:33 ops mount.davfs: p_user = (null)
    Aug 13 12:01:33 ops mount.davfs: p_passord = (null)
    Aug 13 12:01:33 ops mount.davfs: locks = 1
    Aug 13 12:01:33 ops mount.davfs: pidfile
    = /var/run/mount.davfs/davfs0.pid
    Aug 13 12:01:33 ops mount.davfs: Open device /dev/davfs0
    Aug 13 12:01:33 ops mount.davfs: Allocate message buffers
    Aug 13 12:01:33 ops mount.davfs: Open connection to
    https://communicator.ds9:443/zidestore/so/sebastia
    Aug 13 12:01:35 ops mount.davfs: Neon wants credentials
    for OpenGroupware.org. 0. attempt.
    Aug 13 12:01:35 ops mount.davfs: NE_ERROR: 200 OK
    Aug 13 12:01:35 ops mount.davfs: Create root VFid
    Aug 13 12:01:35 ops mount.davfs: New vfid created at
    0x807c1a8 (file <: 1>)
    Aug 13 12:01:35 ops mount.davfs: PROPFIND
    0 /zidestore/so/sebastia/
    Aug 13 12:01:35 ops mount.davfs: NE_ERROR: 207
    Multi-Status
    Aug 13 12:01:35 ops mount.davfs: Fork into daemon mode;
    parent will mount
    Aug 13 12:01:35 ops mount.davfs: Child: No way back to
    root privileges.
    Aug 13 12:01:35 ops mount.davfs: Child: Write pid-file and
    free args-struct
    Aug 13 12:01:35 ops mount.davfs: Writing
    pid-file /var/run/mount.davfs/davfs0.pid
    Aug 13 12:01:35 ops mount.davfs: Child: Start message
    queue
    Aug 13 12:01:35 ops mount.davfs: Mounting filesystem
    Aug 13 12:01:35 ops kernel: coda_read_super: device index:
    0
    Aug 13 12:01:35 ops mount.davfs: got 028 byte command:
    opcode = 02
    Aug 13 12:01:35 ops mount.davfs: id: 0
    Aug 13 12:01:35 ops mount.davfs: root
    Aug 13 12:01:35 ops mount.davfs: returning SUCCESS (0),
    28 bytes
    Aug 13 12:01:35 ops mount.davfs: got 100 byte command:
    opcode = 07
    Aug 13 12:01:35 ops mount.davfs: id: 0
    Aug 13 12:01:35 ops mount.davfs: getattr
    Aug 13 12:01:35 ops mount.davfs: base:
    Aug 13 12:01:35 ops mount.davfs: PROPFIND
    0 /zidestore/so/sebastia/
    Aug 13 12:01:35 ops kernel: coda_read_super: rootfid is
    (01234567.ffffffff.0807c1a8.00000000)
    Aug 13 12:01:35 ops mount.davfs: NE_ERROR: 207
    Multi-Status
    Aug 13 12:01:35 ops mount.davfs: (mode = 40700)
    Aug 13 12:01:35 ops mount.davfs: returning SUCCESS (0),
    100 bytes
    Aug 13 12:01:35 ops mount.davfs: Writing mtab-entry
    Aug 13 12:01:35 ops mount.davfs: Generate options
    string for real mount
    Aug 13 12:01:35 ops mount.davfs: Parent leaves now. Good
    luck to child no. 30618!
    Aug 13 12:01:35 ops kernel: coda_read_super: rootinode
    is -506075801 dev coda

    Aug 13 12:01:34 ogo-zidestore-1.5
    [26349]: -[WEClientCapabilities initWithRequest:]: Unknown
    WebClient: user-agent='davfs2/0.2.8 neon/0.24.7'
    Aug 13 12:01:34 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| lookup name: sebastia
    Aug 13 12:01:34 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| did not find key 'sebastia' in SoClass:
    <0x0x8b667c44[SoObjCClass]: super=0x0x8860a404
    objc=ZideStore slots=GET>
    Aug 13 12:01:34 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| looked up value:
    Aug 13 12:01:34 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| lookup in root object:
    Aug 13 12:01:34 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| root is application object
    Aug 13 12:01:34 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| GOT:
    Aug 13 12:01:34 ogo-zidestore-1.5 [26349]: [ERROR]
    <0x0x87dc67c4[WOHttpAdaptor]> http server caught:
    (Exception name:NSFileHandleOperationException
    class:NSFileHandleUnknownTypeException reason:NSFileHandle
    object has no associated type <NSConcreteFileHandle
    0x87dc6d44> info:{
    NSFileHandle = <NSConcreteFileHandle 0x87dc6d44>;
    })
    Aug 13 12:01:34 ogo-zidestore-1.5 [26349]: <0x0x7e6f5a04
    [WOContext]> sleep 0 components ...
    Aug 13 12:01:34 ogo-zidestore-1.5 [26349]: <0x0x7e6f5a04
    [WOContext]> done sleep 0 components.
    Aug 13 12:01:34 ogo-zidestore-1.5
    [26349]: -[WEClientCapabilities initWithRequest:]: Unknown
    WebClient: user-agent='davfs2/0.2.8 neon/0.24.7'
    Aug 13 12:01:34 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| lookup name: sebastia
    Aug 13 12:01:34 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| did not find key 'sebastia' in SoClass:
    <0x0x8b667c44[SoObjCClass]: super=0x0x8860a404
    objc=ZideStore slots=GET>
    Aug 13 12:01:34 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| looked up value:
    Aug 13 12:01:34 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| lookup in root object:
    Aug 13 12:01:34 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| root is application object
    Aug 13 12:01:34 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| GOT:
    Aug 13 12:01:34 ogo-zidestore-1.5 [26349]: |
    SxUserFolder:sebastia| did not find key 'OPTIONS' in
    SoClass: <0x0x8208c904[SoObjCClass]: super=0x0x7fd85164
    objc=SxUserFolder
    slots=get_userprefs.wcap,setPassword,deleteevents_by_range.wcap,createcalendar.wcap,change_password.wcap,get_all_timezones.wcap,deletetodos_by_id.wcap,upload_file.wcap,deletecomponents_by_range.wcap,storeevents.wcap,saveGroups,addlink.wcap,GET,export.wcap,get_freebusy.wcap,deletecalendar.wcap,set_calprops.wcap,logout.wcap,deleteevents_by_id.wcap,search_calprops.wcap,fetchcomponents_by_alarmrange.wcap,saveSettings,fetchevents_by_id.wcap,fetchcomponents_by_lastmod.wcap,verifytodos_by_ids.wcap,import.wcap,get_calprops.wcap,fetchcomponents_by_attendee_error.wcap,deletetodos_by_range.wcap,verifyevents_by_ids.wcap,install,storetodos.wcap,set_userprefs.wcap,fetchtodos_by_id.wcap,getIDsAndVersions,settings,write_file.wcap,fetchcomponents_by_range.wcap>
    Aug 13 12:01:34 ogo-zidestore-1.5 [26349]: |
    SxUserFolder:sebastia| looked up value:
    Aug 13 12:01:34 ogo-zidestore-1.5 [26349]: [ERROR]
    <0x0x87dc67c4[WOHttpAdaptor]> http server caught:
    (Exception name:NSFileHandleOperationException
    class:NSFileHandleUnknownTypeException reason:NSFileHandle
    object has no associated type <NSConcreteFileHandle
    0x87dc6d44> info:{
    NSFileHandle = <NSConcreteFileHandle 0x87dc6d44>;
    })
    Aug 13 12:01:34 ogo-zidestore-1.5 [26349]: <0x0x7ca33a04
    [WOContext]> sleep 0 components ...
    Aug 13 12:01:34 ogo-zidestore-1.5 [26349]: <0x0x7ca33a04
    [WOContext]> done sleep 0 components.
    Aug 13 12:01:35 ogo-zidestore-1.5
    [26349]: -[WEClientCapabilities initWithRequest:]: Unknown
    WebClient: user-agent='davfs2/0.2.8 neon/0.24.7'
    Aug 13 12:01:35 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| lookup name: sebastia
    Aug 13 12:01:35 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| did not find key 'sebastia' in SoClass:
    <0x0x8b667c44[SoObjCClass]: super=0x0x8860a404
    objc=ZideStore slots=GET>
    Aug 13 12:01:35 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| looked up value:
    Aug 13 12:01:35 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| lookup in root object:
    Aug 13 12:01:35 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| root is application object
    Aug 13 12:01:35 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| GOT:
    Aug 13 12:01:35 ogo-zidestore-1.5 [26349]: [ERROR]
    <0x0x87dc67c4[WOHttpAdaptor]> http server caught:
    (Exception name:NSFileHandleOperationException
    class:NSFileHandleUnknownTypeException reason:NSFileHandle
    object has no associated type <NSConcreteFileHandle
    0x87dc6d44> info:{
    NSFileHandle = <NSConcreteFileHandle 0x87dc6d44>;
    })
    Aug 13 12:01:35 ogo-zidestore-1.5 [26349]: <0x0x7ca33a04
    [WOContext]> sleep 0 components ...
    Aug 13 12:01:35 ogo-zidestore-1.5 [26349]: <0x0x7ca33a04
    [WOContext]> done sleep 0 components.
    Aug 13 12:01:35 ogo-zidestore-1.5
    [26349]: -[WEClientCapabilities initWithRequest:]: Unknown
    WebClient: user-agent='davfs2/0.2.8 neon/0.24.7'
    Aug 13 12:01:35 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| lookup name: sebastia
    Aug 13 12:01:35 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| did not find key 'sebastia' in SoClass:
    <0x0x8b667c44[SoObjCClass]: super=0x0x8860a404
    objc=ZideStore slots=GET>
    Aug 13 12:01:35 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| looked up value:
    Aug 13 12:01:35 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| lookup in root object:
    Aug 13 12:01:35 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| root is application object
    Aug 13 12:01:35 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| GOT:
    Aug 13 12:01:35 ogo-zidestore-1.5 [26349]: [ERROR]
    <0x0x87dc67c4[WOHttpAdaptor]> http server caught:
    (Exception name:NSFileHandleOperationException
    class:NSFileHandleUnknownTypeException reason:NSFileHandle
    object has no associated type <NSConcreteFileHandle
    0x87dc6d44> info:{
    NSFileHandle = <NSConcreteFileHandle 0x87dc6d44>;
    })
    Aug 13 12:01:35 ogo-zidestore-1.5 [26349]: <0x0x7e6f5a04
    [WOContext]> sleep 0 components ...
    Aug 13 12:01:35 ogo-zidestore-1.5 [26349]: <0x0x7e6f5a04
    [WOContext]> done sleep 0 components.

    ls zidestore/public/Contacts
    ls zidestore/public/Contacts
    Creating request...
    Running request create hooks.
    Request created.
    Running pre_send hooks
    Sending request headers:
    PROPFIND /zidestore/so/sebastia/public/Contacts HTTP/1.1
    Host: communicator.ds9
    User-Agent: davfs2/0.2.8 neon/0.24.7
    Connection: TE
    TE: trailers
    Depth: 0
    Content-Length: 269
    Content-Type: application/xml
    Connection: close
    Authorization: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

    Sending request-line and headers:
    Connecting to 10.4.0.2
    Sending request body...
    Request body sent: okay.
    Request sent; retry is 0.
    [status-line] < HTTP/1.1 207 Multi-Status
    [hdr] Date: Sun, 13 Aug 2006 10:04:29 GMT
    Header Name: [date], Value: [Sun, 13 Aug 2006 10:04:29
    GMT]
    [hdr] Server: Apache/1.3.29 (Unix) PHP/5.0.5
    mod_ssl/2.8.16 OpenSSL/0.9.7g
    Header Name: [server], Value: [Apache/1.3.29 (Unix)
    PHP/5.0.5 mod_ssl/2.8.16 OpenSSL/0.9.7g]
    [hdr] cache-control: no-cache
    Header Name: [cache-control], Value: [no-cache]
    [hdr] content-length: 664
    Header Name: [content-length], Value: [664]
    [hdr] Ms-Author-Via: DAV
    Header Name: [ms-author-via], Value: [DAV]
    [hdr] connection: close
    Header Name: [connection], Value: [close]
    [hdr] X-Dav-Error: 200 No error
    Header Name: [x-dav-error], Value: [200 No error]
    [hdr] pragma: no-cache
    Header Name: [pragma], Value: [no-cache]
    [hdr] content-type: text/xml; charset="utf-8"
    Header Name: [content-type], Value: [text/xml;
    charset="utf-8"]
    [hdr]
    End of headers.
    Reading 664 bytes of response body.
    Got 664 bytes.
    Running post_send hooks
    Request ends, status 207 class 2xx, error line:
    207 Multi-Status
    Running destroy hooks.
    Request ends.
    Creating request...
    Running request create hooks.
    Request created.
    Running pre_send hooks
    Sending request headers:
    PROPFIND /zidestore/so/sebastia/public/Contacts/ HTTP/1.1
    Host: communicator.ds9
    User-Agent: davfs2/0.2.8 neon/0.24.7
    Connection: TE
    TE: trailers
    Depth: 1
    Content-Length: 269
    Content-Type: application/xml
    Connection: close
    Authorization: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

    Sending request-line and headers:
    Connecting to 10.4.0.2
    Sending request body...
    Request body sent: okay.
    Request sent; retry is 0.
    [status-line] < HTTP/1.1 207 Multi-Status
    [hdr] Date: Sun, 13 Aug 2006 10:04:30 GMT
    Header Name: [date], Value: [Sun, 13 Aug 2006 10:04:30
    GMT]
    [hdr] Server: Apache/1.3.29 (Unix) PHP/5.0.5
    mod_ssl/2.8.16 OpenSSL/0.9.7g
    Header Name: [server], Value: [Apache/1.3.29 (Unix)
    PHP/5.0.5 mod_ssl/2.8.16 OpenSSL/0.9.7g]
    [hdr] cache-control: no-cache
    Header Name: [cache-control], Value: [no-cache]
    [hdr] content-length: 9756
    Header Name: [content-length], Value: [9756]
    [hdr] Ms-Author-Via: DAV
    Header Name: [ms-author-via], Value: [DAV]
    [hdr] connection: close
    Header Name: [connection], Value: [close]
    [hdr] X-Dav-Error: 200 No error
    Header Name: [x-dav-error], Value: [200 No error]
    [hdr] pragma: no-cache
    Header Name: [pragma], Value: [no-cache]
    [hdr] content-type: text/xml; charset="utf-8"
    Header Name: [content-type], Value: [text/xml;
    charset="utf-8"]
    [hdr]
    End of headers.
    Reading 8192 bytes of response body.
    Got 8192 bytes.
    Reading 1564 bytes of response body.
    Got 1564 bytes.
    Running post_send hooks
    Request ends, status 207 class 2xx, error line:
    207 Multi-Status
    Running destroy hooks.
    Request ends.
    Fachini, Benjamin Gärtner, Torben Meriwether, Harry
    Muttschall, Benjamin Richter, Enrico Wuttig, Frank
    Fiedler, Marcus Graf, Hendrik Minke, Christoph
    Reitenbach, Helga Schaele, Frieda X, Bernd
    Fischer, Robert Heinrich, Raik Müller, Mathias
    Reitenbach, Peter Übensee, Markus
    Frenk, Stephanie Höber, Erika Mutschall, Benjamin
    Reuss, Astrid Vogt, Jan

    Aug 13 12:02:31 ogo-zidestore-1.5
    [26349]: -[WEClientCapabilities initWithRequest:]: Unknown
    WebClient: user-agent='davfs2/0.2.8 neon/0.24.7'
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| lookup name: sebastia
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| did not find key 'sebastia' in SoClass:
    <0x0x8b667c44[SoObjCClass]: super=0x0x8860a404
    objc=ZideStore slots=GET>
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| looked up value:
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| lookup in root object:
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| root is application object
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| GOT:
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: [ERROR]
    <0x0x87dc67c4[WOHttpAdaptor]> http server caught:
    (Exception name:NSFileHandleOperationException
    class:NSFileHandleUnknownTypeException reason:NSFileHandle
    object has no associated type <NSConcreteFileHandle
    0x87dc6d44> info:{
    NSFileHandle = <NSConcreteFileHandle 0x87dc6d44>;
    })
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: <0x0x7eab1004
    [WOContext]> sleep 0 components ...
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: <0x0x7eab1004
    [WOContext]> done sleep 0 components.
    Aug 13 12:02:31 ogo-zidestore-1.5
    [26349]: -[WEClientCapabilities initWithRequest:]: Unknown
    WebClient: user-agent='davfs2/0.2.8 neon/0.24.7'
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| lookup name: sebastia
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| did not find key 'sebastia' in SoClass:
    <0x0x8b667c44[SoObjCClass]: super=0x0x8860a404
    objc=ZideStore slots=GET>
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| looked up value:
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| lookup in root object:
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| root is application object
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| GOT:
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: [ERROR]
    <0x0x87dc67c4[WOHttpAdaptor]> http server caught:
    (Exception name:NSFileHandleOperationException
    class:NSFileHandleUnknownTypeException reason:NSFileHandle
    object has no associated type <NSConcreteFileHandle
    0x87dc6d44> info:{
    NSFileHandle = <NSConcreteFileHandle 0x87dc6d44>;
    })
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: <0x0x7d89a204
    [WOContext]> sleep 0 components ...
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: <0x0x7d89a204
    [WOContext]> done sleep 0 components.
    Aug 13 12:02:31 ogo-zidestore-1.5
    [26349]: -[WEClientCapabilities initWithRequest:]: Unknown
    WebClient: user-agent='davfs2/0.2.8 neon/0.24.7'
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| lookup name: sebastia
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| did not find key 'sebastia' in SoClass:
    <0x0x8b667c44[SoObjCClass]: super=0x0x8860a404
    objc=ZideStore slots=GET>
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| looked up value:
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| lookup in root object:
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| root is application object
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| GOT:
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: [ERROR]
    <0x0x87dc67c4[WOHttpAdaptor]> http server caught:
    (Exception name:NSFileHandleOperationException
    class:NSFileHandleUnknownTypeException reason:NSFileHandle
    object has no associated type <NSConcreteFileHandle
    0x87dc6d44> info:{
    NSFileHandle = <NSConcreteFileHandle 0x87dc6d44>;
    })
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: <0x0x7d89a404
    [WOContext]> sleep 0 components ...
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: <0x0x7d89a404
    [WOContext]> done sleep 0 components.
    Aug 13 12:02:31 ogo-zidestore-1.5
    [26349]: -[WEClientCapabilities initWithRequest:]: Unknown
    WebClient: user-agent='davfs2/0.2.8 neon/0.24.7'
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| lookup name: sebastia
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| did not find key 'sebastia' in SoClass:
    <0x0x8b667c44[SoObjCClass]: super=0x0x8860a404
    objc=ZideStore slots=GET>
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| looked up value:
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| lookup in root object:
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| root is application object
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| GOT:
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: [ERROR]
    <0x0x87dc67c4[WOHttpAdaptor]> http server caught:
    (Exception name:NSFileHandleOperationException
    class:NSFileHandleUnknownTypeException reason:NSFileHandle
    object has no associated type <NSConcreteFileHandle
    0x87dc6d44> info:{
    NSFileHandle = <NSConcreteFileHandle 0x87dc6d44>;
    })
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: <0x0x7d89a804
    [WOContext]> sleep 0 components ...
    Aug 13 12:02:31 ogo-zidestore-1.5 [26349]: <0x0x7d89a804
    [WOContext]> done sleep 0 components.
    Aug 13 12:02:32 ogo-zidestore-1.5
    [26349]: -[WEClientCapabilities initWithRequest:]: Unknown
    WebClient: user-agent='davfs2/0.2.8 neon/0.24.7'
    Aug 13 12:02:32 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| lookup name: sebastia
    Aug 13 12:02:32 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| did not find key 'sebastia' in SoClass:
    <0x0x8b667c44[SoObjCClass]: super=0x0x8860a404
    objc=ZideStore slots=GET>
    Aug 13 12:02:32 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| looked up value:
    Aug 13 12:02:32 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| lookup in root object:
    Aug 13 12:02:32 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| root is application object
    Aug 13 12:02:32 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| GOT:
    Aug 13 12:02:32 ogo-zidestore-1.5 [26349]: [ERROR]
    <0x0x87dc67c4[WOHttpAdaptor]> http server caught:
    (Exception name:NSFileHandleOperationException
    class:NSFileHandleUnknownTypeException reason:NSFileHandle
    object has no associated type <NSConcreteFileHandle
    0x87dc6d44> info:{
    NSFileHandle = <NSConcreteFileHandle 0x87dc6d44>;
    })
    Aug 13 12:02:32 ogo-zidestore-1.5 [26349]: <0x0x7d89a804
    [WOContext]> sleep 0 components ...
    Aug 13 12:02:32 ogo-zidestore-1.5 [26349]: <0x0x7d89a804
    [WOContext]> done sleep 0 components.
    Aug 13 12:02:32 ogo-zidestore-1.5
    [26349]: -[WEClientCapabilities initWithRequest:]: Unknown
    WebClient: user-agent='davfs2/0.2.8 neon/0.24.7'
    Aug 13 12:02:32 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| lookup name: sebastia
    Aug 13 12:02:32 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| did not find key 'sebastia' in SoClass:
    <0x0x8b667c44[SoObjCClass]: super=0x0x8860a404
    objc=ZideStore slots=GET>
    Aug 13 12:02:32 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| looked up value:
    Aug 13 12:02:32 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| lookup in root object:
    Aug 13 12:02:32 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| root is application object
    Aug 13 12:02:32 ogo-zidestore-1.5 [26349]: |
    ogo-zidestore-1| GOT:
    Aug 13 12:02:32 ogo-zidestore-1.5 [26349]: [ERROR]
    <0x0x87dc67c4[WOHttpAdaptor]> http server caught:
    (Exception name:NSFileHandleOperationException
    class:NSFileHandleUnknownTypeException reason:NSFileHandle
    object has no associated type <NSConcreteFileHandle
    0x87dc6d44> info:{
    NSFileHandle = <NSConcreteFileHandle 0x87dc6d44>;
    })
    Aug 13 12:02:32 ogo-zidestore-1.5 [26349]: <0x0x7d89aa04
    [WOContext]> sleep 0 components ...
    Aug 13 12:02:32 ogo-zidestore-1.5 [26349]: <0x0x7d89aa04
    [WOContext]> done sleep 0 components.

    Aug 13 12:04:29 ops mount.davfs: got 040 byte command:
    opcode = 03
    Aug 13 12:04:29 ops mount.davfs: id: 500
    Aug 13 12:04:29 ops mount.davfs: open
    Aug 13 12:04:29 ops mount.davfs: base:/public/Contacts
    Aug 13 12:04:29 ops mount.davfs: flags:0x1
    Aug 13 12:04:29 ops mount.davfs: open: u0 c0 cr0
    Aug 13 12:04:29 ops mount.davfs: PROPFIND
    0 /zidestore/so/sebastia/public/Contacts
    Aug 13 12:04:30 ops mount.davfs: NE_ERROR: 207
    Multi-Status
    Aug 13 12:04:30 ops mount.davfs: open request on a
    directory
    Aug 13 12:04:30 ops mount.davfs: PROPFIND
    1 /zidestore/so/sebastia/public/Contacts/
    Aug 13 12:04:30 ops mount.davfs: converting dir to file
    Aug 13 12:04:30 ops mount.davfs: /tmp/davfs2_dir_fVxPyO:
    Aug 13 12:04:30 ops mount.davfs: {
    Aug 13 12:04:30 ops mount.davfs: FNAME: Müller, Mathias:0
    Aug 13 12:04:30 ops mount.davfs: ['Müller, Mathias',
    handle=5, ino=1234877b]
    Aug 13 12:04:30 ops mount.davfs: ,
    Aug 13 12:04:30 ops mount.davfs: FNAME: Vogt, Jan:0
    Aug 13 12:04:30 ops mount.davfs: ['Vogt, Jan', handle=5,
    ino=1234877c]
    Aug 13 12:04:30 ops mount.davfs: ,
    Aug 13 12:04:30 ops mount.davfs: FNAME: Fiedler, Marcus:0
    Aug 13 12:04:30 ops mount.davfs: ['Fiedler, Marcus',
    handle=5, ino=1234877d]
    Aug 13 12:04:30 ops mount.davfs: ,
    Aug 13 12:04:30 ops mount.davfs: FNAME: Minke, Christoph:0
    Aug 13 12:04:30 ops mount.davfs: ['Minke, Christoph',
    handle=5, ino=1234877e]
    Aug 13 12:04:30 ops mount.davfs: ,
    Aug 13 12:04:30 ops mount.davfs: FNAME: Richter, Enrico:0
    Aug 13 12:04:30 ops mount.davfs: ['Richter, Enrico',
    handle=5, ino=1234877f]
    Aug 13 12:04:30 ops mount.davfs: ,
    Aug 13 12:04:30 ops mount.davfs: FNAME: Höber, Erika:0
    Aug 13 12:04:30 ops mount.davfs: ['Höber, Erika',
    handle=5, ino=12348780]
    Aug 13 12:04:30 ops mount.davfs: ,
    Aug 13 12:04:30 ops mount.davfs: FNAME: Mutschall,
    Benjamin:0
    Aug 13 12:04:30 ops mount.davfs: ['Mutschall, Benjamin',
    handle=5, ino=12348781]
    Aug 13 12:04:30 ops mount.davfs: ,
    Aug 13 12:04:30 ops mount.davfs: FNAME: Graf, Hendrik:0
    Aug 13 12:04:30 ops mount.davfs: ['Graf, Hendrik',
    handle=5, ino=12348782]
    Aug 13 12:04:30 ops mount.davfs: ,
    Aug 13 12:04:30 ops mount.davfs: FNAME: Fachini,
    Benjamin:0
    Aug 13 12:04:30 ops mount.davfs: ['Fachini, Benjamin',
    handle=5, ino=12348783]
    Aug 13 12:04:30 ops mount.davfs: ,
    Aug 13 12:04:30 ops mount.davfs: FNAME: Heinrich, Raik:0
    Aug 13 12:04:30 ops mount.davfs: ['Heinrich, Raik',
    handle=5, ino=12348784]
    Aug 13 12:04:30 ops mount.davfs: ,
    Aug 13 12:04:30 ops mount.davfs: FNAME: Gärtner, Torben:0
    Aug 13 12:04:30 ops mount.davfs: ['Gärtner, Torben',
    handle=5, ino=12348785]
    Aug 13 12:04:30 ops mount.davfs: ,
    Aug 13 12:04:30 ops mount.davfs: FNAME: Übensee, Markus:0
    Aug 13 12:04:30 ops mount.davfs: ['Übensee, Markus',
    handle=5, ino=12348786]
    Aug 13 12:04:30 ops mount.davfs: ,
    Aug 13 12:04:30 ops mount.davfs: FNAME: Reuss, Astrid:0
    Aug 13 12:04:30 ops mount.davfs: ['Reuss, Astrid',
    handle=5, ino=12348787]
    Aug 13 12:04:30 ops mount.davfs: ,
    Aug 13 12:04:30 ops mount.davfs: FNAME: Reitenbach,
    Peter:0
    Aug 13 12:04:30 ops mount.davfs: ['Reitenbach, Peter',
    handle=5, ino=12348788]
    Aug 13 12:04:30 ops mount.davfs: ,
    Aug 13 12:04:30 ops mount.davfs: FNAME: Muttschall,
    Benjamin:0
    Aug 13 12:04:30 ops mount.davfs: ['Muttschall, Benjamin',
    handle=5, ino=12348789]
    Aug 13 12:04:30 ops mount.davfs: ,
    Aug 13 12:04:30 ops mount.davfs: FNAME: Frenk, Stephanie:0
    Aug 13 12:04:30 ops mount.davfs: ['Frenk, Stephanie',
    handle=5, ino=1234878a]
    Aug 13 12:04:30 ops mount.davfs: ,
    Aug 13 12:04:30 ops mount.davfs: FNAME: Fischer, Robert:0
    Aug 13 12:04:30 ops mount.davfs: ['Fischer, Robert',
    handle=5, ino=1234878b]
    Aug 13 12:04:30 ops mount.davfs: ,
    Aug 13 12:04:30 ops mount.davfs: FNAME: Reitenbach,
    Helga:0
    Aug 13 12:04:30 ops mount.davfs: ['Reitenbach, Helga',
    handle=5, ino=1234878c]
    Aug 13 12:04:30 ops mount.davfs: ,
    Aug 13 12:04:30 ops mount.davfs: FNAME: Schaele, Frieda:0
    Aug 13 12:04:30 ops mount.davfs: ['Schaele, Frieda',
    handle=5, ino=1234878d]
    Aug 13 12:04:30 ops mount.davfs: ,
    Aug 13 12:04:30 ops mount.davfs: FNAME: Meriwether,
    Harry:0
    Aug 13 12:04:30 ops mount.davfs: ['Meriwether, Harry',
    handle=5, ino=1234878e]
    Aug 13 12:04:30 ops mount.davfs: ,
    Aug 13 12:04:30 ops mount.davfs: FNAME: X, Bernd:0
    Aug 13 12:04:30 ops mount.davfs: ['X, Bernd', handle=5,
    ino=1234878f]
    Aug 13 12:04:30 ops mount.davfs: ,
    Aug 13 12:04:30 ops mount.davfs: FNAME: Wuttig, Frank:0
    Aug 13 12:04:30 ops mount.davfs: ['Wuttig, Frank',
    handle=5, ino=12348790]
    Aug 13 12:04:30 ops mount.davfs: ,
    Aug 13 12:04:30 ops mount.davfs: }, EOD=
    Aug 13 12:04:30 ops mount.davfs: (wrote 22 entries)
    Aug 13 12:04:30 ops mount.davfs: returning SUCCESS (0),
    24 bytes
    Aug 13 12:04:30 ops mount.davfs: got 040 byte command:
    opcode = 36
    Aug 13 12:04:30 ops mount.davfs: id: 500
    Aug 13 12:04:30 ops mount.davfs: release
    Aug 13 12:04:30 ops mount.davfs: base:/public/Contacts
    Aug 13 12:04:30 ops mount.davfs: unget_: u0 c0 cr0
    Aug 13 12:04:30 ops mount.davfs:
    removing /tmp/davfs2_dir_fVxPyO
    Aug 13 12:04:30 ops mount.davfs: the current VFid list
    has 25 elements
    Aug 13 12:04:30 ops mount.davfs: returning SUCCESS (0),
    12 bytes

     
  • Werner Baumann

    Werner Baumann - 2006-08-13

    Logged In: YES
    user_id=1260327

    Hello Sebastian,

    thanks for the logs.
    Unfortunately I don't understand most of the zidstore log.

    This applies to davfs2-0.2.8 as well as davfs2-1.0.2:
    As far as I can see:
    The HTTP-PROPFIND-Request for
    "/zidestore/so/sebastia/public/Contacts/" is successful
    (error 207 on PROPFIND usually means success). But davfs2
    seems to interpret the response not the same way zidstore does.
    davfs2-0.2.8 sees a list of files with names like "Lastname,
    Firstname", while davfs2-1.0.2 does not understand the
    response at all.

    Unfortunately none of the logs shows the details. The easy
    way to get this details would be to log the webtraffic using
    ethereal or tcpdump. But this is only useful if you can
    connect to the server without encryption (http not https).
    Can you do this. The propfind request (and the response) for
    directory "/zidestore/so/sebastia/public/Contacts" and for
    one of the files in this directory would be of special interest.

    Possible reasons:
    WebDAV allows for a "displayname" that is different form the
    filename in the path component of the url. I think davfs2
    can not handle this (I am working on this for davfs2-1.x.x).

    What I am wondering about:
    The path given in the mount command is
    "/zidestore/so/sebastia", but the first Propfind in the logs
    is for "/zidestore/so/sebastia/public/Contacts". Do
    directories "public" and "public/Contacts" work?

    Greetings
    Werner

     
  • Sebastian Reitenbach

    debug output while mounting webdav drive, and trying to access a file from the contacts

     
  • Sebastian Reitenbach

    Logged In: YES
    user_id=59448

    this bug report seems to be a server error, see the Internal
    Server error in the output, therefore I close it here:

    Aug 15 10:57:31 it001 mount.davfs: Parsing command line.
    Aug 15 10:57:31 it001 mount.davfs: /sbin/mount.davfs
    https://www.l00-bugdead-prods.de/zidestore/so/sre /mnt -o
    rw,nouseproxy
    Aug 15 10:57:31 it001 mount.davfs: Arguments after parsing
    command line:
    Aug 15 10:57:31 it001 mount.davfs: dav_group = 100
    Aug 15 10:57:31 it001 mount.davfs: conf = (null)
    Aug 15 10:57:31 it001 mount.davfs: mpoint = /mnt
    Aug 15 10:57:31 it001 mount.davfs: user = 0
    Aug 15 10:57:31 it001 mount.davfs: mopts = 0xc0ed0006
    Aug 15 10:57:31 it001 mount.davfs: uid = 0
    Aug 15 10:57:31 it001 mount.davfs: gid = 0
    Aug 15 10:57:31 it001 mount.davfs: dir_umask = 0
    Aug 15 10:57:31 it001 mount.davfs: file_umask = 0
    Aug 15 10:57:31 it001 mount.davfs: dir_mode = 0
    Aug 15 10:57:31 it001 mount.davfs: file_mode = 0
    Aug 15 10:57:31 it001 mount.davfs: url =
    https://www.l00-bugdead-prods.de/zidestore/so/sre
    Aug 15 10:57:31 it001 mount.davfs: secrets = (null)
    Aug 15 10:57:31 it001 mount.davfs: p_host = http
    Aug 15 10:57:31 it001 mount.davfs: p_port = 0
    Aug 15 10:57:31 it001 mount.davfs: useproxy = 0
    Aug 15 10:57:31 it001 mount.davfs: askauth = 1
    Aug 15 10:57:31 it001 mount.davfs: locks = 1
    Aug 15 10:57:31 it001 mount.davfs: read_timeout = 30 s
    Aug 15 10:57:31 it001 mount.davfs: sys_cache =
    /var/cache/davfs2
    Aug 15 10:57:31 it001 mount.davfs: cache_dir = (null)
    Aug 15 10:57:31 it001 mount.davfs: cache_size = 50 Byte
    Aug 15 10:57:31 it001 mount.davfs: table_size = 1024
    Aug 15 10:57:31 it001 mount.davfs: idle_time = 10 s
    Aug 15 10:57:31 it001 mount.davfs: expire = 300 s
    Aug 15 10:57:31 it001 mount.davfs: retry = 30 s
    Aug 15 10:57:31 it001 mount.davfs: max_retry = 300 s
    Aug 15 10:57:31 it001 mount.davfs: Checking for setuid.
    Aug 15 10:57:31 it001 mount.davfs: Checking mount point.
    Aug 15 10:57:31 it001 mount.davfs: Parsing configuration files.
    Aug 15 10:57:31 it001 mount.davfs: Reading config from
    Aug 15 10:57:31 it001 mount.davfs:
    /usr/local/etc/davfs2/davfs2.conf.
    Aug 15 10:57:31 it001 mount.davfs: Arguments after parsing
    config files:
    Aug 15 10:57:31 it001 mount.davfs: dav_group = 100
    Aug 15 10:57:31 it001 mount.davfs: conf = (null)
    Aug 15 10:57:31 it001 mount.davfs: mpoint = /mnt
    Aug 15 10:57:31 it001 mount.davfs: user = 0
    Aug 15 10:57:31 it001 mount.davfs: mopts = 0xc0ed0006
    Aug 15 10:57:31 it001 mount.davfs: uid = 0
    Aug 15 10:57:31 it001 mount.davfs: gid = 0
    Aug 15 10:57:31 it001 mount.davfs: dir_umask = 06000
    Aug 15 10:57:31 it001 mount.davfs: file_umask = 06000
    Aug 15 10:57:31 it001 mount.davfs: dir_mode = 0755
    Aug 15 10:57:31 it001 mount.davfs: file_mode = 0644
    Aug 15 10:57:31 it001 mount.davfs: url =
    https://www.l00-bugdead-prods.de/zidestore/so/sre
    Aug 15 10:57:31 it001 mount.davfs: secrets = (null)
    Aug 15 10:57:31 it001 mount.davfs: p_host = http
    Aug 15 10:57:31 it001 mount.davfs: p_port = 0
    Aug 15 10:57:31 it001 mount.davfs: useproxy = 0
    Aug 15 10:57:31 it001 mount.davfs: askauth = 1
    Aug 15 10:57:31 it001 mount.davfs: locks = 1
    Aug 15 10:57:31 it001 mount.davfs: read_timeout = 30 s
    Aug 15 10:57:31 it001 mount.davfs: sys_cache =
    /var/cache/davfs2
    Aug 15 10:57:31 it001 mount.davfs: cache_dir =
    /var/cache/davfs2
    Aug 15 10:57:31 it001 mount.davfs: cache_size = 50 Byte
    Aug 15 10:57:31 it001 mount.davfs: table_size = 1024
    Aug 15 10:57:31 it001 mount.davfs: idle_time = 10 s
    Aug 15 10:57:31 it001 mount.davfs: expire = 300 s
    Aug 15 10:57:31 it001 mount.davfs: retry = 30 s
    Aug 15 10:57:31 it001 mount.davfs: max_retry = 300 s
    Aug 15 10:57:31 it001 mount.davfs: Parsing secrets files.
    Aug 15 10:57:31 it001 mount.davfs: Reading secrets from
    Aug 15 10:57:31 it001 mount.davfs:
    /usr/local/etc/davfs2/secrets.
    Aug 15 10:57:38 it001 mount.davfs: Checking permissions.
    Aug 15 10:57:38 it001 mount.davfs: Checking directories.
    Aug 15 10:57:38 it001 mount.davfs: Checking for double mounts.
    Aug 15 10:57:38 it001 mount.davfs: Initialize WebDAV-session.
    Aug 15 10:57:38 it001 mount.davfs: Initialize Cache.
    Aug 15 10:57:38 it001 mount.davfs: Alignment of dav_node: 8
    Aug 15 10:57:38 it001 mount.davfs: Checking cache directory.
    Aug 15 10:57:38 it001 mount.davfs: New node: (nil)->0x8067bd0
    Aug 15 10:57:38 it001 mount.davfs: Reading stored cache data.
    Aug 15 10:57:38 it001 mount.davfs: New node:
    0x8067bd0->0x8070ad8
    Aug 15 10:57:38 it001 mount.davfs: PROPFIND /zidestore/so/sre/
    Aug 15 10:57:41 it001 mount.davfs: The server certificate
    does not match the server name.
    Aug 15 10:57:41 it001 mount.davfs: issuer: Headquarter,
    L00 bugdead prods., Bunker Hill, Planet Earth, GU
    Aug 15 10:57:41 it001 mount.davfs: subject: Headquarter,
    L00 bugdead prods., Bunker Hill, Planet Earth, GU
    Aug 15 10:57:41 it001 mount.davfs: Accepted by user.

    ==> warn <==
    Aug 15 10:57:41 it001 mount.davfs: The server certificate
    does not match the server name.
    Aug 15 10:57:41 it001 mount.davfs: issuer: Headquarter,
    L00 bugdead prods., Bunker Hill, Planet Earth, GU
    Aug 15 10:57:41 it001 mount.davfs: subject: Headquarter,
    L00 bugdead prods., Bunker Hill, Planet Earth, GU
    Aug 15 10:57:41 it001 mount.davfs: Accepted by user.

    ==> messages <==
    Aug 15 10:57:50 it001 mount.davfs: PROPFIND: 500 Internal
    Server Error
    Aug 15 10:57:50 it001 mount.davfs: Initialize Coda kernel
    interface.
    Aug 15 10:57:50 it001 mount.davfs: Coda version 3.
    Aug 15 10:57:50 it001 mount.davfs: Checking for stale pid-file.
    Aug 15 10:57:50 it001 mount.davfs: Fork into daemon mode;
    parent will mount.
    Aug 15 10:57:50 it001 mount.davfs: Set signal handler.
    Aug 15 10:57:50 it001 mount.davfs: Releasing root privileges.
    Aug 15 10:57:50 it001 mount.davfs: Starting message loop.
    Aug 15 10:57:50 it001 mount.davfs: Parent: Parent pid:
    19293, child pid: 19354
    Aug 15 10:57:50 it001 mount.davfs: Parent: Mounting filesystem.
    Aug 15 10:57:50 it001 kernel: coda_read_super: device index: 0
    Aug 15 10:57:50 it001 mount.davfs: CODA_ROOT:
    Aug 15 10:57:50 it001 mount.davfs: return: OK
    Aug 15 10:57:50 it001 kernel: coda_read_super: rootfid is
    (01234567.ffffffff.08067bd0.00000000)
    Aug 15 10:57:50 it001 mount.davfs: CODA_GETATTR:
    Aug 15 10:57:50 it001 mount.davfs: n 0x8067bd0
    Aug 15 10:57:50 it001 mount.davfs: root
    Aug 15 10:57:50 it001 mount.davfs: PROPFIND /zidestore/so/sre/

    ==> warn <==
    Aug 15 10:57:50 it001 kernel: coda_read_super: rootfid is
    (01234567.ffffffff.08067bd0.00000000)

    ==> messages <==
    Aug 15 10:57:59 it001 mount.davfs: PROPFIND: 500 Internal
    Server Error
    Aug 15 10:57:59 it001 mount.davfs: return: OK
    Aug 15 10:57:59 it001 mount.davfs: Parent: Writing mtab entry.
    Aug 15 10:57:59 it001 mount.davfs: Parent: leaving now.
    Aug 15 10:57:59 it001 kernel: coda_read_super: rootinode is
    -415496857 dev coda

    ==> warn <==
    Aug 15 10:57:59 it001 kernel: coda_read_super: rootinode is
    -415496857 dev coda

     
  • Sebastian Reitenbach

    • status: open --> closed
     
  • Sebastian Reitenbach

    • status: closed --> open
     
  • Sebastian Reitenbach

    Logged In: YES
    user_id=59448

    damn, closed the wrong bug. is that debug output enough?
    i'm pleased to provide more info if needed.

     
  • Werner Baumann

    Werner Baumann - 2006-08-20

    Logged In: YES
    user_id=1260327

    The logs show sometimes an internal server error, sometimes
    a successful PROPFIND, that davfs2 does not understand. But
    they do not show, what exactly the server sends to davfs2.

    You should connect to the server without SSL/TLS and log the
    traffic on the wire (e.g. using ethereal). This will show
    what the server really sends and maybe we can see why davfs2
    does not understand it.

    Greetings
    Werner

     
  • Sebastian Reitenbach

    Logged In: YES
    user_id=59448

    I hav done the following:

    sebastia@ops:~> cd zidestore/public/Accounts
    sebastia@ops:~/zidestore/public/Accounts> ls
    ogoroot Reitenbach, Sebastian Sonnenschein, Helena
    sebastia@ops:~/zidestore/public/Accounts> cat ogoroot
    cat: ogoroot: No such file or directory
    sebastia@ops:~/zidestore/public/Accounts> cat 10000.txt
    BEGIN:VCARD
    VERSION:3.0
    PRODID:-//OpenGroupware.org//LSAddress v5.3.89
    PROFILE:vCard
    N:ogoroot;;;;
    FN:ogoroot
    NICKNAME:Administrator
    UID:skyrix://communicator.ds9/data/10000
    SOURCE:skyrix://communicator.ds9/data/10000
    NAME:vCard for contact with id 10000 (v1)
    END:VCARD
    sebastia@ops:~/zidestore/public/Accounts>

    a server log is appended where I accessed the same folder
    via konquerors webdavs:// kio slave. there I have the
    contacts listed as five or six digits number.txt files.

     
  • Werner Baumann

    Werner Baumann - 2006-10-03

    Logged In: YES
    user_id=1260327

    Hello Sebastian,

    could you please test the new 1.1.1 version. I believe it
    solves the problem, but I can't test it.

    Greetings
    Werner

     
  • Sebastian Reitenbach

    Logged In: YES
    user_id=59448

    Hi Werner,

    compiling davfs2-1.1.1 fails with following output:

    configure: creating ./config.status
    config.status: creating Makefile
    config.status: creating config.h

    Using configuration for building davfs2 1.1.1:

    Install Prefix: /usr/local
    Compiler: gcc
    Large File Support: no
    Neon Library: library in /usr (0.24.7)
    SSL is supported by neon

    Now run 'make' to compile davfs2

    gcc -DPROGRAM_NAME=\"mount.davfs\" -DSYS_CONF=\"/usr/local/etc/davfs2/davfs2.conf\" -DSYS_SECRETS=\"/usr/local/etc/davfs2/secrets\" -DDATA_DIR=\"/usr/local/share/davfs2\" -DHAVE_CONFIG_H -I. -I./src -Wall -g -O2 -I/usr/include/neon -DNEON_ZLIB -DNEON_SSL -c
    src/cache.c -o src/cache.o
    gcc -DPROGRAM_NAME=\"mount.davfs\" -DSYS_CONF=\"/usr/local/etc/davfs2/davfs2.conf\" -DSYS_SECRETS=\"/usr/local/etc/davfs2/secrets\" -DDATA_DIR=\"/usr/local/share/davfs2\" -DHAVE_CONFIG_H -I. -I./src -Wall -g -O2 -I/usr/include/neon -DNEON_ZLIB -DNEON_SSL -c
    src/dav_coda2.c -o src/dav_coda2.o
    In file included from src/coda2.h:121,
    from src/dav_coda2.c:43:
    /usr/include/linux/time.h:9: error: redefinition of
    `struct timespec'
    /usr/include/linux/time.h:15: error: redefinition of
    `struct timeval'
    /usr/include/linux/time.h:397: error: redefinition of
    `struct itimerspec'
    make: *** [src/dav_coda2.o] Error 1

     
  • Werner Baumann

    Werner Baumann - 2006-10-03

    Logged In: YES
    user_id=1260327

    Hello Sebastian,

    the problem is well known: There must not be included any
    kernel headers.

    What I am wondering about: I tried to avaoid this by putting
    comments (/* */) around all dangerous includes in coda2.h
    and coda3.h. This works fine on my system.

    Maybe your compiler does not honour this comments?

    Please have a look at coda2.h and coda3.h: There must be a
    comment araound line 78:
    /* We don't want to compile the kernel. wb */
    /* #include <linux/config.h> */

    If there are comments but the compiler does not honour them,
    you just may remove *any* lines starting with
    #include <
    or
    /*#include

    davfs2 does not need them. In this case it might be
    necessary to remove other parts that I commented out.
    Especially beginning at around line 777.

    I am also wondering about the way your compiler counts. What
    your compiler claims to be line 121 is actually linie 118?

    Please tell me what you found in coda2.h and coda3.h.

    Greetings
    Werner

     
  • Sebastian Reitenbach

    Logged In: YES
    user_id=59448

    Hi Werner,

    I compile davfs with:
    Reading specs
    from /usr/lib/gcc-lib/i586-suse-linux/3.3.5/specs
    Configured
    with: ../configure --enable-threads=posix --prefix=/usr --with-local-prefix=/usr/local --infodir=/usr/share/info --mandir=/usr/share/man --enable-languages=c,c++,f77,objc,java,ada --disable-checking --libdir=/usr/lib --enable-libgcj --with-slibdir=/lib --with-system-zlib --enable-shared --enable-__cxa_atexit
    i586-suse-linux
    Thread model: posix
    gcc version 3.3.5 20050117 (prerelease) (SUSE Linux)
    on a SuSE 9.3.

    nevertheless, after removing the #include in coda2.h and
    coda3.h, it compiled, and everything seems to work fine
    now.
    thank you very much.

    if you want to dig more into why the comments not work,
    let me know here, if not, I would say this bug could be
    closed.

    cheers
    Sebastian

    sebastia@ops:~/zidestore/public/Accounts> ls -l
    Reitenbach\,\ Sebastian
    -rw-r--r-- 1 sebastia users 0 2006-10-03 22:05
    Reitenbach, Sebastian
    sebastia@ops:~/zidestore/public/Accounts> pwd
    /home/sebastia/zidestore/public/Accounts
    sebastia@ops:~/zidestore/public/Accounts> ls -l
    total 0
    -rw-r--r-- 1 sebastia users 0 2006-10-03 22:05 ogoroot
    -rw-r--r-- 1 sebastia users 0 2006-10-03 22:05
    Reitenbach, Sebastian
    -rw-r--r-- 1 sebastia users 0 2006-10-03 22:05
    Sonnenschein, Helena
    sebastia@ops:~/zidestore/public/Accounts> cat
    Sonnenschein\,\ Helena
    BEGIN:VCARD
    VERSION:3.0
    PRODID:-//OpenGroupware.org//LSAddress v5.3.89
    PROFILE:vCard
    N:Sonnenschein;Helena;;;
    FN:Helena Sonnenschein
    EMAIL;TYPE=PREF:helena@l00-bugdead-prods.de
    UID:skyrix://communicator.ds9/data/10430
    SOURCE:skyrix://communicator.ds9/data/10430
    NAME:vCard for contact with id 10430 (v7)
    CATEGORIES:
    URL:https://www.l00-bugdead-prods.de
    LABEL;TYPE=OTHER:Helena Sonnenschein\n
    TEL;TYPE=work;TYPE=pref;TYPE=voice:030 123456
    TEL;TYPE=cell;TYPE=voice:0178 1234567
    TEL:200
    END:VCARD

     
  • Sebastian Reitenbach

    • status: open --> closed
     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks